package ru.ulstu.extractor.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import ru.ulstu.extractor.repository.BranchRepository;
import ru.ulstu.extractor.repository.RepositoryRepository;

@Controller
public class BranchController {
    private final RepositoryRepository repositoryRepository;
    private final BranchRepository branchRepository;

    public BranchController(RepositoryRepository repositoryRepository, BranchRepository branchRepository) {
        this.repositoryRepository = repositoryRepository;
        this.branchRepository = branchRepository;
    }

    @GetMapping("/details")
    public String indexBranch(
            Model model,
            @RequestParam int repositoryId) {
        model.addAttribute("branches", branchRepository.findByRepositoryId(repositoryId));
        model.addAttribute("repository", repositoryRepository.findById(repositoryId).get());
        return "indexBranch";
    }
}
